<template>
  <GridLayout>
    <Row>
      <Cell size="6">
        <H1>
          {{ text.TYPOGRAPHY }}
        </H1>
      </Cell>
    </Row>
    <Row>
      <Cell :classes="styles.cellText" size="6" hd="12">
        <H1>{{ text.HEADER_TEXT.H1 }}</H1>
        <H2>{{ text.HEADER_TEXT.H2 }}</H2>
        <H3>{{ text.HEADER_TEXT.H3 }}</H3>
        <H4>{{ text.HEADER_TEXT.H4 }}</H4>
        <H5>{{ text.HEADER_TEXT.H5 }}</H5>
        <H6>{{ text.HEADER_TEXT.H6 }}</H6>
      </Cell>
    </Row>
    <Row>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H1>{{ text.EXAMPLE_TEXT }}</H1>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H2>{{ text.EXAMPLE_TEXT }}</H2>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H3>{{ text.EXAMPLE_TEXT }}</H3>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H4>{{ text.EXAMPLE_TEXT }}</H4>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H5>{{ text.EXAMPLE_TEXT }}</H5>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H6>{{ text.EXAMPLE_TEXT }}</H6>
      </Cell>
      <Cell :classes="styles.cellText" size="6" hd="4" smd="3" xs="3" xxs="2" sxxs="4">
        <H7>{{ text.EXAMPLE_TEXT }}</H7>
      </Cell>
    </Row>
    <Row>
      <Cell :classes="styles.cellText" size="6" smd="3" xs="3" xxs="4" sxxs="4">
        <H1>{{ text.HEADER_TEXT.H1 }}</H1>
        <Text>{{ text.PARAGRAPH_TEXT }}</Text>
        <H3>{{ text.HEADER_TEXT.H3 }}</H3>
        <Text>{{ text.PARAGRAPH_TEXT }}</Text>
        <H5>{{ text.HEADER_TEXT.H5 }}</H5>
        <Text>{{ text.PARAGRAPH_TEXT }}</Text>
      </Cell>
      <Cell :classes="styles.cellText" size="6" smd="3" xs="3" xxs="4" sxxs="4">
        <H2>{{ text.HEADER_TEXT.H2 }}</H2>
        <Text>{{ text.PARAGRAPH_TEXT }}}</Text>
        <H4>{{ text.HEADER_TEXT.H4 }}</H4>
        <Text>{{ text.PARAGRAPH_TEXT }}</Text>
        <H6>{{ text.HEADER_TEXT.H6 }}</H6>
        <Text>{{ text.PARAGRAPH_TEXT }}</Text>
      </Cell>
    </Row>
    <Row>
      <Cell :classes="styles.cellText" size="6" smd="3" xs="3" xxs="4" sxxs="4">
        <H5>{{ text.DEFAULT }}</H5>
        <Text>{{ text.PARAGRAPH_TEXT }}}</Text>
        <H5>{{ text.SMALL_FONT }}</H5>
        <Text size="tiny">{{ text.PARAGRAPH_TEXT }}}</Text>
      </Cell>
      <Cell :classes="styles.cellText" size="6" smd="3" xs="3" xxs="4" sxxs="4">
        <H5>{{ text.WIDE }}</H5>
        <Text size="wide">{{ text.PARAGRAPH_TEXT }}}</Text>
      </Cell>
    </Row>
    <Row>
      <Cell :classes="styles.cellText" size="6">
        <H5>{{ text.P_COPMOSITION }}</H5>
        <Text composition>{{ text.PARAGRAPH_TEXT }}}</Text>
        <Text>{{ text.PARAGRAPH_TEXT }}}</Text>
      </Cell>
    </Row>
  </GridLayout>
</template>

<script>
import { defineComponent } from 'vue'
import { GridLayout, Cell, Row, H1, H2, H3, H4, H5, H6, H7 } from '@/components/ui-kit'
import styles from './styles.module.scss'

import * as text from './constants'
import Text from '@/components/ui-kit/Typography/Text/Text.vue'

export default defineComponent({
  name: 'Home',
  data () {
    return {
      styles,
      text
    }
  },
  components: {
    Text,
    GridLayout,
    Cell,
    Row,
    H1,
    H2,
    H3,
    H4,
    H5,
    H6,
    H7
  }
})
</script>
